path: /build/build/fluidsynth-media-sound-2.2.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ladspa -lash alsa dbus jack portaudio pulseaudio readline sdl sndfile" emerge media-sound/fluidsynth -pv -t && \
    USE="-ladspa -lash alsa dbus jack portaudio pulseaudio readline sdl sndfile" emerge -j ${JOBS} --nodeps media-sound/fluidsynth
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/fluidsynth && luet-portage --dir /pkgdir/fluidsynth
    media-sound/fluidsynth && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: fluidsynth
    version: 2.2.3
    category: media-sound
    use_flags:
    - -ladspa
    - -lash
    - alsa
    - dbus
    - jack
    - portaudio
    - pulseaudio
    - readline
    - sdl
    - sndfile
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Software real-time synthesizer based on the Soundfont 2 specifications
    uri:
    - https://www.fluidsynth.org
    license: LGPL-2.1+
    buildtimestamp: 2023-10-13 11:25:47.567503452 +0000 UTC m=+164.479922858
    labels:
      BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake virtual/pkgconfig
      DEPEND: dev-libs/glib:2[-mgorny(-)] alsa? ( media-libs/alsa-lib[-mgorny(-)]
        lash? ( media-sound/lash[-mgorny(-)] ) ) dbus? ( sys-apps/dbus[-mgorny(-)]
        ) jack? ( virtual/jack[-mgorny(-)] ) ladspa? ( media-libs/ladspa-sdk[-mgorny(-)]
        media-plugins/cmt-plugins[-mgorny(-)] ) portaudio? ( media-libs/portaudio[-mgorny(-)]
        ) pulseaudio? ( media-sound/pulseaudio[-mgorny(-)] ) readline? ( sys-libs/readline:0=[-mgorny(-)]
        ) sdl? ( media-libs/libsdl2[-mgorny(-)] ) sndfile? ( media-libs/libsndfile[-mgorny(-)]
        )
      IUSE: alsa dbus debug examples ipv6 jack ladspa lash network oss portaudio pulseaudio
        +readline sdl +sndfile systemd threads abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: dev-libs/glib:2[-mgorny(-)] alsa? ( media-libs/alsa-lib[-mgorny(-)]
        lash? ( media-sound/lash[-mgorny(-)] ) ) dbus? ( sys-apps/dbus[-mgorny(-)]
        ) jack? ( virtual/jack[-mgorny(-)] ) ladspa? ( media-libs/ladspa-sdk[-mgorny(-)]
        media-plugins/cmt-plugins[-mgorny(-)] ) portaudio? ( media-libs/portaudio[-mgorny(-)]
        ) pulseaudio? ( media-sound/pulseaudio[-mgorny(-)] ) readline? ( sys-libs/readline:0=[-mgorny(-)]
        ) sdl? ( media-libs/libsdl2[-mgorny(-)] ) sndfile? ( media-libs/libsndfile[-mgorny(-)]
        )
      emerge.packages: media-sound/fluidsynth
      kit: media-kit
      original.package.name: media-sound/fluidsynth
      original.package.slot: "0"
      original.package.version: 2.2.3
    treedir: /build/packages
  package_dir: /pkgdir/fluidsynth
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2582632be48449e94e7a417e73b535c30b242062c0f37b4b42c895d7b7b82928
compressiontype: zstd
files:
- usr/bin/fluidsynth
- usr/include/fluidsynth/audio.h
- usr/include/fluidsynth/event.h
- usr/include/fluidsynth/gen.h
- usr/include/fluidsynth/ladspa.h
- usr/include/fluidsynth/log.h
- usr/include/fluidsynth/midi.h
- usr/include/fluidsynth/misc.h
- usr/include/fluidsynth/mod.h
- usr/include/fluidsynth/seq.h
- usr/include/fluidsynth/seqbind.h
- usr/include/fluidsynth/settings.h
- usr/include/fluidsynth/sfont.h
- usr/include/fluidsynth/shell.h
- usr/include/fluidsynth/synth.h
- usr/include/fluidsynth/types.h
- usr/include/fluidsynth/version.h
- usr/include/fluidsynth/voice.h
- usr/include/fluidsynth.h
- usr/lib64/libfluidsynth.so
- usr/lib64/libfluidsynth.so.3
- usr/lib64/libfluidsynth.so.3.0.3
- usr/lib64/pkgconfig/fluidsynth.pc
- usr/share/doc/fluidsynth-2.2.3/AUTHORS.bz2
- usr/share/doc/fluidsynth-2.2.3/ChangeLog.bz2
- usr/share/doc/fluidsynth-2.2.3/README.md.bz2
- usr/share/doc/fluidsynth-2.2.3/THANKS.bz2
- usr/share/doc/fluidsynth-2.2.3/TODO.bz2
- usr/share/doc/fluidsynth-2.2.3/fluidsynth-v20-devdoc.txt.bz2
- usr/share/doc/fluidsynth-2.2.3/pdf/FluidProfile_0004.pdf
- usr/share/doc/fluidsynth-2.2.3/pdf/FluidSostenuto-005.pdf
- usr/share/man/man1/fluidsynth.1.bz2
- var/db/pkg/media-sound/fluidsynth-2.2.3/BDEPEND
- var/db/pkg/media-sound/fluidsynth-2.2.3/BUILD_TIME
- var/db/pkg/media-sound/fluidsynth-2.2.3/CATEGORY
- var/db/pkg/media-sound/fluidsynth-2.2.3/CBUILD
- var/db/pkg/media-sound/fluidsynth-2.2.3/CFLAGS
- var/db/pkg/media-sound/fluidsynth-2.2.3/CHOST
- var/db/pkg/media-sound/fluidsynth-2.2.3/CONTENTS
- var/db/pkg/media-sound/fluidsynth-2.2.3/COUNTER
- var/db/pkg/media-sound/fluidsynth-2.2.3/CXXFLAGS
- var/db/pkg/media-sound/fluidsynth-2.2.3/DEFINED_PHASES
- var/db/pkg/media-sound/fluidsynth-2.2.3/DEPEND
- var/db/pkg/media-sound/fluidsynth-2.2.3/DESCRIPTION
- var/db/pkg/media-sound/fluidsynth-2.2.3/EAPI
- var/db/pkg/media-sound/fluidsynth-2.2.3/FEATURES
- var/db/pkg/media-sound/fluidsynth-2.2.3/HOMEPAGE
- var/db/pkg/media-sound/fluidsynth-2.2.3/INHERITED
- var/db/pkg/media-sound/fluidsynth-2.2.3/IUSE
- var/db/pkg/media-sound/fluidsynth-2.2.3/IUSE_EFFECTIVE
- var/db/pkg/media-sound/fluidsynth-2.2.3/KEYWORDS
- var/db/pkg/media-sound/fluidsynth-2.2.3/LDFLAGS
- var/db/pkg/media-sound/fluidsynth-2.2.3/LICENSE
- var/db/pkg/media-sound/fluidsynth-2.2.3/NEEDED
- var/db/pkg/media-sound/fluidsynth-2.2.3/PF
- var/db/pkg/media-sound/fluidsynth-2.2.3/PROVIDES
- var/db/pkg/media-sound/fluidsynth-2.2.3/RDEPEND
- var/db/pkg/media-sound/fluidsynth-2.2.3/REQUIRES
- var/db/pkg/media-sound/fluidsynth-2.2.3/SIZE
- var/db/pkg/media-sound/fluidsynth-2.2.3/SLOT
- var/db/pkg/media-sound/fluidsynth-2.2.3/USE
- var/db/pkg/media-sound/fluidsynth-2.2.3/environment.bz2
- var/db/pkg/media-sound/fluidsynth-2.2.3/fluidsynth-2.2.3.ebuild
- var/db/pkg/media-sound/fluidsynth-2.2.3/repository
package_cacheimage: ""
runtime:
  name: fluidsynth
  version: 2.2.3
  category: media-sound
  use_flags:
  - -ladspa
  - -lash
  - alsa
  - dbus
  - jack
  - portaudio
  - pulseaudio
  - readline
  - sdl
  - sndfile
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: libsdl2
    version: '>=0'
    category: media-libs
  - name: portaudio
    version: '>=0'
    category: media-libs
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Software real-time synthesizer based on the Soundfont 2 specifications
  uri:
  - https://www.fluidsynth.org
  license: LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake virtual/pkgconfig
    DEPEND: dev-libs/glib:2[-mgorny(-)] alsa? ( media-libs/alsa-lib[-mgorny(-)] lash?
      ( media-sound/lash[-mgorny(-)] ) ) dbus? ( sys-apps/dbus[-mgorny(-)] ) jack?
      ( virtual/jack[-mgorny(-)] ) ladspa? ( media-libs/ladspa-sdk[-mgorny(-)] media-plugins/cmt-plugins[-mgorny(-)]
      ) portaudio? ( media-libs/portaudio[-mgorny(-)] ) pulseaudio? ( media-sound/pulseaudio[-mgorny(-)]
      ) readline? ( sys-libs/readline:0=[-mgorny(-)] ) sdl? ( media-libs/libsdl2[-mgorny(-)]
      ) sndfile? ( media-libs/libsndfile[-mgorny(-)] )
    IUSE: alsa dbus debug examples ipv6 jack ladspa lash network oss portaudio pulseaudio
      +readline sdl +sndfile systemd threads abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: dev-libs/glib:2[-mgorny(-)] alsa? ( media-libs/alsa-lib[-mgorny(-)] lash?
      ( media-sound/lash[-mgorny(-)] ) ) dbus? ( sys-apps/dbus[-mgorny(-)] ) jack?
      ( virtual/jack[-mgorny(-)] ) ladspa? ( media-libs/ladspa-sdk[-mgorny(-)] media-plugins/cmt-plugins[-mgorny(-)]
      ) portaudio? ( media-libs/portaudio[-mgorny(-)] ) pulseaudio? ( media-sound/pulseaudio[-mgorny(-)]
      ) readline? ( sys-libs/readline:0=[-mgorny(-)] ) sdl? ( media-libs/libsdl2[-mgorny(-)]
      ) sndfile? ( media-libs/libsndfile[-mgorny(-)] )
    emerge.packages: media-sound/fluidsynth
    kit: media-kit
    original.package.name: media-sound/fluidsynth
    original.package.slot: "0"
    original.package.version: 2.2.3
